Create Card PIN Update URL
curl --request POST \
--url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/pin \
--header 'Api-Key: <api-key>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/pin"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', 'Api-Key': '<api-key>'}
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://secure.example.com/update-pin?token=xyz789"
}Cards
Create Card PIN Update URL
Generates a URL that can be used to render a secure frame to update the PIN for a card account. The URL is single-use and time-limited.
POST
/
customers
/
{customerID}
/
card_accounts
/
{cardAccountID}
/
pin
Create Card PIN Update URL
Authorizations
Headers
Path Parameters
A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*The ID of the card account
Response
URL to update the card PIN
Response containing a secure URL to update a card's PIN
Single-use, time-limited URL that can be used to securely update the card PIN in an iframe
Example:
"https://secure.example.com/update-pin?token=xyz789"
Was this page helpful?
⌘I
